
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ASP与数据库应用(简单入门) / iVAN</title>

    <meta name="description" content="ASP与数据库应用(简单入门) 数据|数据库 本教程是初学者学习ASP和数据库操作的入门最快的教程了,好让一些初学者最快的入门: 一般来说,一个真正的.完整的站点是离不开数据库的,因为实际应用中,需要保存的数据很多,而且这些数据之间往往还有关联,利用数据库来管理这些数据,可以很方便的查询和更新.数据库有很多种,如:Fox 数据库(.dbf).Access 数据库(.mdb).Informix.Oracle 和 SQL Server 等等,在这里,我将以 Microsoft Access 数据库为例来说明ASP是如何访问数据库的">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ASP与数据库应用(简单入门)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>数据|数据库</p>
<p>　　本教程是初学者学习ASP和数据库操作的入门最快的教程了，好让一些初学者最快的入门：</p>
<p>　　一般来说，一个真正的、完整的站点是离不开数据库的，因为实际应用中，需要保存的数据很多，而且这些数据之间往往还有关联，利用数据库来管理这些数据，可以很方便的查询和更新。数据库有很多种，如：Fox 数据库(.dbf)、Access 数据库(.mdb)、Informix、Oracle 和 SQL Server 等等，在这里，我将以 Microsoft Access 数据库为例来说明ASP是如何访问数据库的。</p>
<p>　　<b>常用数据库语句</b></p>
<p>　　1.SELECT 语句：命令数据库引擎从数据库里返回信息，作为一组记录。<br />　　2.INSERT INTO 语句：添加一个或多个记录至一个表。<br />　　3.UPDATE 语句：创建更新查询来改变基于特定准则的指定表中的字段值。<br />　　4.DELETE 语句：创建一个删除查询把记录从 FROM 子句列出并符合 WHERE 子句的一个或更多的表中清除。<br />　　5.EXECUTE 语句：用于激活 PROCEDURE（过程）</p>
<p>　　<b>一、建立数据库：</b></p>
<p>　　用 Microsoft Access 建立一个名为 data.mdb 的空数据库，使用设计器创建一个新表。输入以下几个字段：</p>
<p>　　字段名称　　数据类型　　说明　　　　　　其它<br />　　ID　　　　　自动编号　　数据标识　　　　字段大小：长整型　新值：递增　索引：有（无重复）<br />　　username　　文本　　　　姓名　　　　　　缺省值<br />　　usermail　　文本　　　　E-mail　　　　　缺省值<br />　　view　　　　数字　　　　查看次数　　　　字段大小：长整型　默认值：0　索引：无<br />　　indate　　　时间日期　　加入时间　　　　缺省值</p>
<p>　　保存为 data.mdb 文件，为了便于说明，只是做了一个比较简单的库。</p>
<p>　　<b>二、连接数据库</b></p>
<p>　　方法1：<br />　　Set conn = Server.CreateObject("ADODB.Connection")<br />　　conn.Open "driver={Microsoft Access Driver (*.mdb)};dbq="&amp;Server.MapPath("data.mdb")</p>
<p>　　方法2：<br />　　Set conn = Server.CreateObject("ADODB.Connection")<br />　　conn.Open "Provider=Microsoft.Jet.OLEDB.4.0;Data Source="&amp;Server.MapPath("data.mdb")</p>
<p>　　注意：一个页面中，只要连接一次就可以了，数据库使用完后要及时关闭连接。<br />　　conn.Close<br />　　Set conn = Nothing</p>
<p>　　<b>三、添加新记录到数据库</b></p>
<p>　　Set conn = Server.CreateObject("ADODB.Connection")<br />　　conn.Open "driver={Microsoft Access Driver (*.mdb)};dbq="&amp;Server.MapPath("data.mdb")</p>
<p>　　username = "网页教学网"<br />　　usermail = "web@webjx.com"<br />　　indate = Now()</p>
<p>　　sql = "insert into data (username,usermail,indata) values('"&amp;username&amp;"','"&amp;usermail&amp;"','"&amp;indate&amp;"')"<br />　　conn.Execute(sql)</p>
<p>　　conn.Close<br />　　Set conn = Nothing</p>
<p>　　说明：建立数据库连接；通过表单获取姓名、E-mail 字符串，Now()获取当前时间日期；使用 insert into 语句添加新记录；conn.Execute 来执行；最后关闭。</p>
<p>　　<b>四、选择数据库里的记录</b></p>
<p>　　1.选择所有记录的字段（按记录倒序排序）：sql = "select * from data order by ID desc"<br />　　2.选择所有记录的姓名和E-mail字段（不排序）：sql = "select username,usermail from data"<br />　　3.选择姓名为“网页教学网”的所有记录：sql = "select * from data where username='"网页教学网"'"<br />　　4.选择使用 webjx 信箱的所有记录（按查看次数排序）：sql = "select * from data where usermail like '%"@webjx.com"%' order by view desc"<br />　　5.选择最新的10个记录：sql = "select top 10 * from data order by ID desc"</p>
<p>　　SQL 语句已经知道了，不过在Web应用时，还得创建一个 RecordSet 对象得到记录集，才能把从数据库里取出的值应用在网页上，如果现在将所有的记录显示在网页上就这样：</p>
<p>　　Set conn = Server.CreateObject("ADODB.Connection")<br />　　conn.Open "driver={Microsoft Access Driver (*.mdb)};dbq="&amp;Server.MapPath("data.mdb")</p>
<p>　　sql = "select * from data"<br />　　Set rs = Server.CreateObject("ADODB.RecordSet")<br />　　rs.Open sql,conn,1,1</p>
<p>　　Do While Not rs.Eof<br />　　　　Response.Write "&lt;p&gt;姓名："&amp; rs("username") &amp;"　E-mail："&amp; rs("usermail") &amp;"　查看："&amp; rs("view") &amp;"次　"&amp; rs("indate") &amp;"加入&lt;/p&gt;"<br />　　　　rs.MoveNext<br />　　Loop</p>
<p>　　rs.Close<br />　　Set rs = Nothing<br />　　conn.Close<br />　　Set conn = Nothing</p>
<p>　　说明：建立数据库连接；创建 rs 得到记录集；循环显示记录，rs.Eof 表示记录末，rs.MoveNext 表示移到下一个记录；最后关闭。</p>
<p>　　<b>五、修改（更新）数据库记录</b></p>
<p>　　修改记录的E-mail：</p>
<p>　　Set conn = Server.CreateObject("ADODB.Connection")<br />　　conn.Open "driver={Microsoft Access Driver (*.mdb)};dbq="&amp;Server.MapPath("data.mdb")</p>
<p>　　ID = 1<br />　　usermail = "web@webjx.com"</p>
<p>　　sql = "update data set usermail='"&amp;usermail&amp;"' where ID="&amp;CInt(ID)<br />　　conn.Execute(sql)</p>
<p>　　conn.Close<br />　　Set conn = Nothing</p>
<p>　　说明：建立数据库连接；获取记录ID、新 E-mail 字符串；使用 update 语句修改记录；conn.Execute 来执行；最后关闭。<br />　　如果使记录的查看值加1，则：sql = "update data set view=view+1 where ID="&amp;CInt(ID)</p>
<p>　　<b>六、删除数据库记录</b></p>
<p>　　删除某一条记录：</p>
<p>　　Set conn = Server.CreateObject("ADODB.Connection")<br />　　conn.Open "driver={Microsoft Access Driver (*.mdb)};dbq="&amp;Server.MapPath("data.mdb")</p>
<p>　　ID = 1</p>
<p>　　sql = "delete from data where ID="&amp;CInt(ID)<br />　　conn.Execute(sql)</p>
<p>　　conn.Close<br />　　Set conn = Nothing</p>
<p>　　说明：建立数据库连接；获取记录ID；使用 delete 语句删除记录；conn.Execute 来执行；最后关闭。<br />　　删除多条记录为：sql = "delete from data where ID in (ID1,ID2,ID3)"<br />　　删除所有记录为：sql = "delete from data"</p>
<p>总结：</p>
<p>　　以上教程是针对ASP的初学者而写的，只是介绍了一些基本的用法，在了解之后可以自己去试试，重要的在于能举一反三、综合运用。更多的语法和参数请参阅 Microsoft Access 帮助中的 Microsoft Jet SQL 参考，如有表达不明确有地方还望指出，如果在应用当中遇到什么问题，也希望能够提出。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 06:15:56</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/server/" title="server">server</a>, <a href="https://www.iamivan.net/tag/%e8%af%ad%e5%8f%a5/" title="语句">语句</a>, <a href="https://www.iamivan.net/tag/data/" title="data">data</a>, <a href="https://www.iamivan.net/tag/microsoft/" title="microsoft">microsoft</a>, <a href="https://www.iamivan.net/tag/conn/" title="conn">conn</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ASP与数据库应用(简单入门)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MYGAxz.html" rel="bookmark">ASP&period;NET数据库编程快速入门之技术慨述</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|编程|快速入门|数据|数据库 大约有将近一百万名开发人员使用了.NET Framework的第一个版本来开发网站.所以在2003年的夏天,当从Microsoft传出将有新版本发布的传闻时,许多人的耳朵都竖了起来,这个新的版本将使得创建ASP.NET页面所需的代码行数减少70%.像这样大规模的提高生产效率在程序设计中是不多见的.当ASP.NET 2.0的代码样例在2003年秋的Microsoft专业开发人员大会(Microsoft Professional Developer's			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YMRYVKb.html" rel="bookmark">ASP操作数据库的类，让数据操作变得简单</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于ASP的使用者来说,在数据库操作上越简单,就有更多的时间去考虑逻辑上和应用上的代码,效率也会更高.今天俺在这里给大家提供一种数据库操作的思路,这些代码是俺在长期的ASP应用中不断完成和修正的,也已经用它完成了很多项目了,应该说直接拿去用是没有问题的.当然本人能力也有限,希望大家一起来讨论. 说明:此帖代码均是VBScript版本.另外最好你对手写ASP已经有一定的基础. 先简单介绍一下俺这个类的一些特点: 1.可同时操作多个不同类型的数据库.2.完全不用考虑数据类型的差别,再也不用想字符型字			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd7YdxM.html" rel="bookmark">asp 删除数据库记录入门教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp教程 删除数据库教程记录入门教程 &lt;script&gt;  function check()  {   if(confirm('确认删除',''))   {    //操作   }  } &lt;/script&gt; &lt;table width=&quot;312&quot; border=&quot;0&quot;&gt;   &lt;tr&gt;     &lt;td width=&quot;220&quot;&gt;a&lt;/td&gt;     &lt;td width=&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBPwBkp.html" rel="bookmark">Asp&period;Net MVC3 简单入门第一季（四）详解Request Processing Pipeline</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引子       很久没更新了,今天写点关于Asp.Net MVC的PipeLine.首先我们确认一点,Asp.Net WebFrom和Asp.Net MVC是在.Net平台下的两种web开发方式.其实他们都是基于Asp.Net Core的不同表现而已.看下面一张图,我们就能理解了WebForm和Asp.Net MVC的一个关系了. 那好我们了解了Asp.Net平台下的两种开发方式,相信大家对于WebForm的Pipeline都非常熟悉了,当然这也是你熟悉Asp.Net开发的必经之路.而看了很多			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRYxPdb.html" rel="bookmark">Asp&period;Net MVC3 简单入门第一季 【索引贴】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				初识Asp.Net MVC2.0 初识Asp.Net MVC2.0[续] Asp.Net MVC2.0 Url 路由入门---实例篇 Asp.Net MVC2.0 Url 路由入门 Asp.Net MVC3 简单入门第一季(一)环境准备 Asp.Net MVC3 简单入门第一季(二)详解Asp.Net MVC3项目 Asp.Net MVC3 简单入门第一季(三)详解Controller之Filter Asp.Net MVC3 简单入门第一季(四)详解Request Processing Pipe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zO2xk8p.html" rel="bookmark">Asp&period;Net MVC3 简单入门第一季（五） 通过Asp&period;Net MVC的区域功能实现将多个MVC项目部署到一个站点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引子 本文将主要演示怎么将多个Asp.Net MVC项目部署到一个IIS站点中的例子,主要使用的是Asp.Net MVC提供的区域的功能. Asp.Net MVC提供了区域的功能,可以很方便的为大型的网站划分区域.可以让我们的项目不至于太复杂而导致管理混乱,有了区域后,每个模块的页面都放入相应的区域内进行管理很方便.而随着项目的复杂,每个开发人员开发的模块呢也可能是一个完整的解决方案,而他要开发的UI项目呢只是主站点项目的一个区域,而如果把所有的UI项目放到一个UI项目,在团队开发时就不很方便了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRYO7ab.html" rel="bookmark">Asp&period;Net MVC3 简单入门第一季（一）环境准备</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 大家好,从今天开始我将写一个关于AspNet MVC3方面学习的总结,并跟初学者一起分享一些基本的基础知识,作者本身也很愿意跟大家一起交流技术,一起交流一起进步,欢迎高手不吝赐教,欢迎大家不同的意见和建议,作者的学识和见识当然有自己的局限性,希望自己能成为不闷骚型的技术人员,而不是只自己享受技术,而不让更多的人来分享你的成果的人. 第一节:关于Asp.Net MVC3 Asp.Net MVC已经到第三版了,相信大家也都熟悉了,我也不再重复相关概念性的东西了.但是大家一定要了解,Asp.Ne			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z76K5rp.html" rel="bookmark">Asp&period;Net MVC3 简单入门第一季（三）详解Controller之Filter</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 前面两篇写的比较简单,刚开始写这个系列的时候我面向的对象是刚开始接触Asp.Net MVC的朋友,所以写的尽量简单.所以写的没多少技术含量.把这些技术总结出来,然后一简单的方式让更多的人很好的接受这是我一直努力的方向.后面会有稍微复杂点的项目!让我们一起期待吧! 此文我将跟大家介绍一下Asp.Net MVC3 Filter的一些用法.你会了解和学习到全局Fileter,Action Filter等常用用法. 第一节:Filter知识储备 项目大一点总会有相关的AOP面向切面的组件,而MVC			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YMRnXqM.html" rel="bookmark">ASP和数据库技术在WAP开发中的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据|数据库 利用ASP技术可以开发出动态WAP页面,将ASP技术和数据库技术相结合,则可以开发更为复杂的WAP应用.有关ASP和Web数据库的知识请读者参考专门书籍,我们这里以WML为例,说明ASP和数据库技术在WAP开发中的应用. 在WML程序中使用ASP 在WML程序中使用ASP的规则很简单,只要做到以下5条即可: (1) 声明ASP采用的脚本语言.与ASP中声明的方式类似,格式为: &lt;%@ Language=VBScript %&gt; (2) 声明wml文件类型.这可采用ASP的Respo			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9NVXp.html" rel="bookmark" class="title">mysql 多行合并函数</a>
					<div>
						需求: 用户 与 权限 对应关系为 1:N,需要知道某一个用户对应的所有角色 – SELECT user_id,GROUP_CONCAT(role_id order by role_id asc se ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1B4jp.html" rel="bookmark" class="title">网页（HTML）中的特殊字符</a>
					<div>
						网页 一般来说,在HTML中,一个特殊字符有两种表达方式,一种称作数字参考,一种称作实体参考. 所谓数字参考,就是用数字来表示文档中的特殊字符,通常由前缀&quot;&quot;,加上数值,再加上后缀 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnXeWb.html" rel="bookmark" class="title">Windows系统中的文件搜索方法与技巧</a>
					<div>
						window|技巧 随着电脑硬盘价格的下降和人们经济水平的提升,许多朋友都拥有大容量的硬盘,由此里面存放的文件就越来越多,这让电脑成为一个知识库,许多文件都可以从里面找到.但是这也带来一个问题,当我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPWnBM.html" rel="bookmark" class="title">Sql语句密码验证安全漏洞</a>
					<div>
						Sql语句作为国际标准的数据库查询语句,在各种编程环境中得到了广泛的应用.作为一个成熟.稳定的系统,用户登陆和密码验证是必不可少的.笔者在平时的编程工作中发现,许多程序员在用sql语句进行用户密码验证 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wJlYp.html" rel="bookmark" class="title">Delphi自定义消息应用例子</a>
					<div>
						现在很多的应用程序都有这样一种功能,当用户选择最小化窗口时,窗口不是象平常那样最小化到任务栏上,而是&quot;最小化&quot;成一个任务栏图标.象FoxMail 3.0 NetVampire 3. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1oljz.html" rel="bookmark" class="title">通过实例学习NetBeans 6的新功能 第1部分：引言</a>
					<div>
						在NetBeans 6 中文版中,编辑器.GUI 设计器的功能得以改进,并且提供了 Ruby on Rails 支持等众多新功能.另外,此版本还将 Profiler.SOA.UML.Visual We ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNELq4b.html" rel="bookmark" class="title">linux系统编程之信号（三） 信号的阻塞与未决</a>
					<div>
						一.信号在内核中的表示 实际执行信号的处理动作称为信号递达(Delivery),信号从产生到递达之间的状态,称为信号未决(Pending).进程可以选择阻塞(Block)某个信号.被阻塞的信号产生时将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvK859p.html" rel="bookmark" class="title">WPS用域代码录入向量符号教程</a>
					<div>
						中学数学课中用到了向量符号,如图1右侧效果所示. 图1 同事在编辑试卷和教案时对此符号深感头疼.其实,在WPS 2010文字工具中,我们可以使用域代码轻松录入向量符号.相对于使用公式编辑器完成录入而言 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm75v1b.html" rel="bookmark" class="title">将金山WPS演示的音乐图标隐藏起来的方法</a>
					<div>
						  很多金山WPS演示的用户都喜欢在制作演示文稿的时候插入背景音乐,但是,插入背景音乐的时候,需要有一个图标(一般是音响图标)来连接到指定的音乐文件,这就会产生一个问题,就是音乐图标会破坏整个演示文稿 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwLOqz.html" rel="bookmark" class="title">php判断字符串在另一个字符串位置的方法</a>
					<div>
						 这篇文章主要介绍了php判断字符串在另一个字符串位置的方法,需要的朋友可以参考下    代码如下: $email='user@exe.com';        //定义字符串 $result=str ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBK2G4M.html" rel="bookmark" class="title">WIN7输入法图标不见了怎么办</a>
					<div>
						任务栏输入法不见了怎么办步骤方法 1.右击任务栏空白处-工具栏-语言栏即可. 2.首先打开文字服务 1)单击开始,单击控制面板,然后双击&quot;区域和语言选项&quot;. 2)在语言选项卡上的& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZd0vwM.html" rel="bookmark" class="title">PS如何制作虚线效果教程</a>
					<div>
						  最终效果图如下: 第一步:选中画笔工具,主直径为2(这个2随自己情况定义). 第二步:选中画笔之魂,按F5调整画笔,选中双重画笔,其他不要勾选,然后调整数值.如下图所示: 第三步:调整好之后,画出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6emmyb.html" rel="bookmark" class="title">12306火车票订票官网怎么更换预留的手机号码？</a>
					<div>
						  虽然火车票有手机app,但是在手机上修改密码必须要你之前的手机号码是可以用的,如果之前手机号不能用了,就只能在电脑上修改了. 1.登陆火车网订票12306官网,左边有一个新版本购票,点击进入. 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b245Qvp.html" rel="bookmark" class="title">探索IE11下Dojo事件处理遇到的一些&OpenCurlyDoubleQuote;怪象&rdquo;</a>
					<div>
						事件响应为 Web 应用提供了良好的交互式体验支撑,事件,即抓取某个人们关心的 UI 变化.键盘操作.鼠标操作等,当该事件被浏览器发出时,编程人员可以捕获该事件然后做一些特定的合乎逻辑的事情,让用户从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBYewM.html" rel="bookmark" class="title">ibatis操作oracle中CLOB类型的值</a>
					<div>
						问题描述 ibatis操作oracle中CLOB类型的值 页面我是用了Struts标签,ibatis需要操作oracle中的CLOB类型的数据,该怎么操作?ibatis配置文件中需要设置什么样的类型于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBV40M.html" rel="bookmark" class="title">中国照相机年产近亿架</a>
					<div>
						本报讯 (记者陈惟)记者从昨天开幕的第11届中国·上海国际摄影器材和数码影像展览会上获悉,中国已成为世界最大的照相机器材制造国,照相机年产量近亿架,居世界首位,数码相机的市场容量已经超过1000万台, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5ollM.html" rel="bookmark" class="title">界面按钮太多 聊天机器人都快被玩坏了</a>
					<div>
						10月8日消息,据VentureBeat报道,分析聊天机器人工具Dashbot.io近来处理的信息超过7000万条.对于开发者来说,在此期间最常遇到的问题之一就是界面按钮太多.自由形式的文本输入与按钮 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7emRM.html" rel="bookmark" class="title">有关录屏软件OBS中GetAsyncKeyState&lpar;&rpar;函数返回值得问题</a>
					<div>
						问题描述 有关录屏软件OBS中GetAsyncKeyState()函数返回值得问题 GetAsyncKeyState()函数 返回值 Long,自对GetAsyncKeyState函数的上一次调用以来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjl4PM.html" rel="bookmark" class="title">&lpar;404&rpar;Servlet AxisServlet is not available</a>
					<div>
						问题描述 出现如上的错误,是什么原因啊. 解决方案 解决方案二:你的Axis没有安装成功吧解决方案三:类路径下找不到AxisServlet,检查一下axis.jar是否在类路径中.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL79d0M.html" rel="bookmark" class="title">chart-关于Chart添加双坐标问题，急需大家帮助</a>
					<div>
						问题描述 关于Chart添加双坐标问题,急需大家帮助 VB.net .我用Chart画图,有两个系列数据,画在同一个chartAreas中,但是两个系列的Y坐标不一样,能不能添加两个坐标轴,左边显示系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRRKjp.html" rel="bookmark" class="title">Android 显示和隐藏输入法实现代码&lowbar;Android</a>
					<div>
						复制代码 代码如下: // 隐藏输入法 InputMethodManager imm = (InputMethodManager) getApplicationContext().getSystemS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkl3qM.html" rel="bookmark" class="title">《局域网交换机安全》一1&period;4　密码学（Cryptography）</a>
					<div>
						1.4 密码学(Cryptography) 局域网交换机安全 密码学以计算机算法的形式实现相关数学函数,并应用在数据上. 如图1-4所示,当密码学的主要目标是保密时,该过程被称为加密和解密.被保护的文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBKQOz.html" rel="bookmark" class="title">CRM与AI融合 改写的是整个时代</a>
					<div>
						也许有一天,你的日常生活会变成这样:早上闹铃响的时候,它会告诉你,今天天气很糟糕,不允许你再多睡一会儿啦,路上会堵车.然后等你洗漱完,准备换衣服的时候,你的衣柜根据你平常雨天穿的衣服,给你搭配出几款时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBg03dM.html" rel="bookmark" class="title">添加SCOTT实例步骤</a>
					<div>
						                                                                                       添加SCOTT实例步骤   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy8WAz.html" rel="bookmark" class="title">MySQL &CenterDot; 源码分析 &CenterDot; MySQL 半同步复制数据一致性分析</a>
					<div>
						简介 MySQL Replication为MySQL用户提供了高可用性和可扩展性解决方案.本文介绍了MySQL Replication的主要发展历程,然后通过三个参数rpl_semi_sync_mas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq753Zz.html" rel="bookmark" class="title">我的艰辛网站路</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 我叫小草是一个出生 87年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodYXXM.html" rel="bookmark" class="title">天猫双11后遗症：部分家居类销售退款率超100&percnt;</a>
					<div>
						前些日子,电商可谓大出风头,销售数值之高令人艳羡--11月11日,天猫商城家居品类的总销售额号称超过3个亿,其中全友家居旗舰店单家销售额就过亿.但随后有媒体爆出,其店铺30天退款率达36.26%.而京 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7x46Kb.html" rel="bookmark" class="title">文档在产品设计中的价值</a>
					<div>
						有很多人会问:&quot;说两句话就可以了嘛,为什么还需要写文档这么麻烦呢?&quot;当我们所有的人都在同一办公室工作时,随便喊两句就OK了,为什么还要用文档记下每一件事情这么麻烦呢? 然而,产品文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1Lk0b.html" rel="bookmark" class="title">golang基于websocket实现的简易聊天室程序&lowbar;Golang</a>
					<div>
						本文实例讲述了golang基于websocket实现的简易聊天室.分享给大家供大家参考,具体如下: 先说点无关的,最近忙于工作没有更新博客,今天休息顺便把golang websocket研究了一下,挺 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0rgVp.html" rel="bookmark" class="title">thinkphp实现图片上传功能分享&lowbar;php实例</a>
					<div>
						1.我们首先需要创建一个表 复制代码 代码如下: CREATE TABLE IF NOT EXISTS `tp_image` (  `id` int(11) NOT NULL AUTO_INCREME ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
